com.h3c.sdn.adm.backup

## Class BackupDescriptor

- java.lang.Object
- - com.h3c.sdn.adm.backup.BackupDescriptor

- All Implemented Interfaces:
    Serializable

      public class BackupDescriptor
      extends Object
      implements Serializable

  Backup descriptor object.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackupDescriptor(String controllerVer, Token tk, IpAddress ipA)` Create BackupDescriptor object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getBackupToken()` Get BackupToken.
    `IpAddress` | `getControllerIPAddress()` Get Controller IP address.
    `String` | `getControllerVersion()` Get ControllerVersion.
    `Date` | `getTimestamp()` Get Timestamp.
    `static BackupDescriptor` | `readBackupDesc(File file)`
    `void` | `setBackupToken(Token tk)` Set BackupToken.
    `void` | `setControllerIPAddress(IpAddress controllerIPa)` Set Controller IP address.
    `void` | `setControllerVersion(String controllerVer)` Set ControllerVersion.
    `static void` | `writeBackupDesc(BackupDescriptor backupDescriptor, File file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackupDescriptor

          public BackupDescriptor(String controllerVer,
                          Token tk,
                          IpAddress ipA)

      Create BackupDescriptor object.
      Parameters:
        `controllerVer` - String
        `tk` - Token
        `ipA` - IP Address of the controller

  - ### Method Detail

    - #### getBackupToken

          public Token getBackupToken()

      Get BackupToken.
      Returns:
        The backup token

    - #### setBackupToken

          public void setBackupToken(Token tk)

      Set BackupToken.
      Parameters:
        `tk` - The backup Token

    - #### getControllerVersion

          public String getControllerVersion()

      Get ControllerVersion.
      Returns:
        the controller version

    - #### setControllerVersion

          public void setControllerVersion(String controllerVer)

      Set ControllerVersion.
      Parameters:
        `controllerVer` - String

    - #### getTimestamp

          public Date getTimestamp()

      Get Timestamp.
      Returns:
        timestamp Date

    - #### getControllerIPAddress

          public IpAddress getControllerIPAddress()

      Get Controller IP address.
      Returns:
        Controller IP Address

    - #### setControllerIPAddress

          public void setControllerIPAddress(IpAddress controllerIPa)

      Set Controller IP address.
      Parameters:
        `controllerIPa` - controller IP Address

    - #### writeBackupDesc

          public static void writeBackupDesc(BackupDescriptor backupDescriptor,
                             File file)

    - #### readBackupDesc

          public static BackupDescriptor readBackupDesc(File file)

Copyright © 2014. All Rights Reserved.